#
# Name:
#   file.rb
#
# Created by: GaddyGaddy
#
# Description:
#   Will write the notification to a file
#
#
# Copyright (c) 2013 GaddyGaddy
#
# All rights reserved.
#

module Notification

  class FileNotification

    def self.file_dir= file_dir
      @file_dir = file_dir
    end

    def self.file_dir
      @file_dir
    end

    def self.notify(event, message_text)
      f=File.open(File.join(file_dir,'gaddy_notification.log'), 'a')
      f.write "#{event['event_time'].strftime('%Y-%m-%d %H:%M')} #{event['type']} #{message_text}\n"
      f.fsync
      f.close
    end

    # This will check if the text is already in the log file
    def self.text_in_log_file message
      log_file=File.join(file_dir,'gaddy_notification.log')
      `/bin/grep '#{message}' #{log_file} `.strip.length > 0
    end

  end

end
