#
# Name:
#   espeak.rb  
#
# Created by: GaddyGaddy
#
# Description:
#   
#  Will manage espeak
#
# Copyright (c) 2013 GaddyGaddy
#
# All rights reserved.
# 

require 'stringex'

class ESpeak

  def self.speak to_speak
    file_name = to_speak.to_ascii.replace_whitespace('-').gsub('/','-')
    wav_file = "/tmp/#{file_name}.wav"
    `/usr/bin/espeak -w #{wav_file} "#{to_speak}"` unless File.exist?(wav_file)
    `/usr/bin/timeout -k 20 15 /usr/bin/aplay #{wav_file}`
  end
end