#
# Name:
#   espeak.rb  
#
# Created by: GaddyGaddy
#
# Description:
#   
#  Will notify via the speakers
#
# Copyright (c) 2013 GaddyGaddy
#
# All rights reserved.
# 

require_relative '../espeak'

module Notification
  class ESpeakNotification

    def self.espeak?
      `whereis espeak`.index('bin')
    end

    def self.notify(event, message_text)
      if espeak?
        ESpeak.speak message_text
      end
    end
  end

end